package com.kospo.talk.payload;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.kospo.talk.model.SmUser;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@JsonIgnoreProperties(ignoreUnknown = true)
@Schema(name = "ISmUserDto", description = "유지보수관리")
public interface ISmUserDto {
    @Schema(name = "sabun", description = "사번")
    String getSabun();

    @Schema(name = "name", description = "이름")
    String getName();

    @Schema(name = "workId", description = "업무아이디")
    String getWorkId();


    @Schema(name = "workNm", description = "업무명")
    String getWorkNm();

    @Schema(name = "onlineYn", description = "온라인여부")
    Boolean getOnlineYn();

}